# services/pegasus/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: jellyfin
resources:
  - configmap.yaml
  - image.yaml
  - vault-serviceaccount.yaml
  - secretproviderclass.yaml
  - service.yaml
  - deployment.yaml
  - vault-sync-deployment.yaml
  - ingress.yaml
patches:
  - target: { kind: Deployment, name: pegasus, namespace: jellyfin }
    patch: |
      - op: add
        path: /spec/template/spec/containers/-
        value:
          name: shell
          image: alpine:3.20
          command: ["sh","-c","sleep infinity"]
          securityContext: { runAsUser: 10001, runAsGroup: 10001, allowPrivilegeEscalation: false }
          volumeMounts:
            - { name: media, mountPath: /media }
            - { name: config, mountPath: /config, readOnly: true }
